Bug 14496 - Cannot upgrade any version on Windows. Must uninstall first
Summary: Cannot upgrade any version on Windows. Must uninstall first
Status: RESOLVED WONTFIX
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Win32 MSI Installer (show other bugs)
Version: 2.2.15
Hardware: PC Windows 2000
: P3 enhancement with 5 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
: 29892 (view as bug list)
Depends on:
Blocks:
 
Reported: 2002-11-13 04:10 UTC by Paul Reddy
Modified: 2018-11-07 21:44 UTC (History)
4 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Reddy 2002-11-13 04:10:21 UTC
Upgrade a 2.0.39 server to 2.0.43 on Win2K.
I am using:
    apache_2.0.43-win32-x86-no_ssl.msi

When I run it, I get:
    "Another version of this product is already installed.  Installation
    of this version cannot continue.  To configure or remove the existing
    version of this product, use Add/Remove Programs on the Control Panel."

The error message is pretty obvious, but the product should not require me to uninstall my current version to install the new one. 

It means the user must copy off all configuration files, passwords, logs etc (hoping they dont miss any) then do the uninstall, the install and then reapply the configuration files. Sure hope any new config options dont get lost when I overwrite the new config files.

The upgrade should happen in-place.
Comment 1 Joshua Slive 2002-11-13 14:23:50 UTC
Enhancement request, not a bug.

In fact, you don't need to anything but uninstall followed by reinstall.
All of your web pages, config files, etc, will be preserved.
Comment 2 Paul Querna 2004-11-04 03:48:27 UTC
*** Bug 29892 has been marked as a duplicate of this bug. ***
Comment 3 Dave Brondsema 2008-12-19 08:40:00 UTC
Could there at least be a .zip release for Win32, instead of only .msi releases?
Comment 4 William A. Rowe Jr. 2008-12-19 08:42:46 UTC
No need; see msiexec /a

:)

Leaving open on the subject of the upgrade functionality, but need to find
the bug this is a duplicate of and close it.
Comment 5 Y K 2010-03-08 15:20:10 UTC
Even if the installer can't upgrade automatically, there should be an upgrade section in the documentation that describes this process.
Comment 6 William A. Rowe Jr. 2018-11-07 21:09:34 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.
Comment 7 Yehuda Katz 2018-11-07 21:44:03 UTC
This is definitely no longer relevant since no one is packaging the MSI anymore.